Skip to main content
DELETE
/
v1
/
account
/
{accountSlug}
/
project
/
{projectSlug}
/
vnets
Delete Virtual Environments
curl --request DELETE \
  --url https://api.tenderly.co/api/v1/account/{accountSlug}/project/{projectSlug}/vnets \
  --header 'Content-Type: application/json' \
  --header 'X-Access-Key: <api-key>' \
  --data '
{
  "vnet_ids": [
    "f4b3b3b3-4b3b-4b3b-4b3b-4b3b3b3b3b3b",
    "4b3b3b3b-4b3b-4b3b-4b3b-4b3b3b3b3b3b"
  ]
}
'
{
  "error": {
    "id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
    "slug": "bad_request",
    "message": "Bad request input parameters"
  }
}

Authorizations

X-Access-Key
string
header
required

An API key is a token that a client provides when making API calls. The key can be sent as a request header:

curl 'https://api.tenderly.co/api/v1/account/${TENDERLY_ACCOUNT_SLUG}/project/${TENDERLY_PROJECT_SLUG}/simulate' \
  -H 'X-Access-Key: ${TENDERLY_ACCESS_KEY}' \
  ...

Learn how to generate API access tokens at Tenderly Docs.

Path Parameters

accountSlug
string
required

Account slug of the user

projectSlug
string
required

Project slug of the account

Body

application/json

Delete Virtual Environments

vnet_ids
string[]
required

Virtual Environment IDs

Example:
[
  "f4b3b3b3-4b3b-4b3b-4b3b-4b3b3b3b3b3b",
  "4b3b3b3b-4b3b-4b3b-4b3b-4b3b3b3b3b3b"
]

Response

Returns an empty response